use adventureworks2012
go

alter database AdventureWorks2012 set parameterization simple
go
SELECT * FROM humanresources.employee as E where e.JobTitle='Chief Executive Officer'
alter database AdventureWorks2012 set parameterization forced
go
SELECT * FROM humanresources.employee as E where e.JobTitle='Vice President of Engineering'
alter database AdventureWorks2012 set parameterization simple
go

--query level
--now working in express version

DECLARE @stmt nvarchar(max);
DECLARE @params nvarchar(max);
EXEC sp_get_query_template 
    N'SELECT *
	FROM sales.Store as S
	INNER join sales.salesperson as P
		on s.salespersonid=p.businessentityid
	where s.businessentityid = 292',
    @stmt OUTPUT, 
    @params OUTPUT;
EXEC sp_create_plan_guide 
    N'TemplateGuide1', 
    @stmt, 
    N'TEMPLATE', 
    NULL, 
    @params, 
    N'OPTION(PARAMETERIZATION FORCED)';
