use adventureworks2012
go

DBCC freeproccache
GO
set dateformat mdy
go
SELECT C.AccountNumber FROM sales.customer as C where C.StoreID=934
--exec adventureworks2012.[dbo].[uspGetManagerEmployees] 2
go
set dateformat dmy
go
SELECT C.AccountNumber FROM sales.customer as C where C.StoreID=934
--exec adventureworks2012.[dbo].[uspGetManagerEmployees] 2
go
Select top 1000 st.text, cp.objtype, cp.refcounts, cp.usecounts, cp.size_in_bytes,a.*,
ce.disk_ios_count, ce.context_switches_count,ce.pages_kb, --(or --ce.pages_allocated_count for above sql 2012) ,
ce.original_cost, ce.current_cost
from sys.dm_exec_cached_plans cp
cross apply sys.dm_exec_sql_text(cp.plan_handle) st
CROSS APPLY sys.dm_exec_plan_attributes(cp.plan_handle) as A
join sys.dm_os_memory_cache_entries ce
on cp.memory_object_address = ce.memory_object_address
where cp.cacheobjtype = 'Compiled Plan'
and a.attribute='date_format'
--and (cp.objtype = 'Adhoc' or cp.objtype = 'Prepared')
order by cp.objtype desc, cp.usecounts desc