SELECT sp.stats_id, name,modification_counter , filter_definition, 
       last_updated, [rows], rows_sampled, 
       steps, unfiltered_rows
       
FROM sys.stats AS s 
CROSS APPLY 
       sys.dm_db_stats_properties(s.object_id, s.stats_id) AS sp
WHERE s.object_id = object_id('HumanResources.Shift');

update HumanResources.Shift
SET endtime='16:00:00'
where shiftid=1

update HumanResources.Shift
SET starttime='08:00:00'
where shiftid=1

update HumanResources.Shift
SET Name=Name
where shiftid=1

SELECT sp.stats_id, name, filter_definition, 
       last_updated, [rows], rows_sampled, 
       steps, unfiltered_rows, 
       modification_counter 
FROM sys.stats AS s 
CROSS APPLY 
       sys.dm_db_stats_properties(s.object_id, s.stats_id) AS sp
WHERE s.object_id = object_id('HumanResources.Shift');

BEGIN TRANSACTION 

update HumanResources.Shift
SET Name=Name+'a'
where shiftid=1

ROLLBACK TRANSACTION

SELECT sp.stats_id, name, filter_definition, 
       last_updated, [rows], rows_sampled, 
       steps, unfiltered_rows, 
       modification_counter 
FROM sys.stats AS s 
CROSS APPLY 
       sys.dm_db_stats_properties(s.object_id, s.stats_id) AS sp
WHERE s.object_id = object_id('HumanResources.Shift');

SELECT * FROM HumanResources.Shift
where shiftid=1